%define pybasever %{nil}
%define without_pybasever 1

Summary:  A collection of Python software tools.
Name: mx%{pybasever}
Version: 2.0.6
Release: 2.2.2
URL: http://www.lemburg.com/files/python/eGenix-mx-Extensions.html
Source0: http://www.lemburg.com/python/egenix-mx-base-%{version}.tar.gz
Patch0: egenix-mx-base-2.0.2-pyconfig.patch
Patch1: egenix-mx-base-2.0.1-longyear.patch
Patch2: egenix-mx-base-2.0.5-lib64.patch
License: eGenix.com Public License (Python)
Group: Development/Libraries
BuildRequires: gcc glibc-devel python python-devel Distutils
Requires: python >= 2.3
%if %{?without_pybasever}
Provides: mx2 = %{version}-%{release}
Obsoletes: mx2
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mx extensions for Python are a collection of Python software tools
which enhance Python's usability in many areas.

%prep
%setup -q -n egenix-mx-base-%{version}
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES 

mkdir -p $RPM_BUILD_ROOT%{_includedir}
for I in `find $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx -name '*.h'`; do
	mv $I $RPM_BUILD_ROOT%{_includedir}
done
install -m444 mx/BeeBase/mxBeeBase/mxh.h $RPM_BUILD_ROOT%{_includedir}

# These files are documentation, and are in a bad location
mkdir docs
mv -f $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx/{LICENSE,COPYRIGHT} docs/
rm -fr $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx/Doc
DESTDIR=`pwd`/docs
pushd $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx/
cp -r --parents */Doc/* $DESTDIR/
popd
rm -rf $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx/*/Doc/

# Don't include the examples
rm -fr $RPM_BUILD_ROOT/usr/%{_lib}/python*/site-packages/mx/*/Examples

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc README docs/*
%{_includedir}/*.h
%{_prefix}/%{_lib}/python*/site-packages/mx

%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.6-2.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.6-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.6-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar 14 2005 Mihai Ibanescu <misa@redhat.com> 2.0.6-2
- Rebuilt

* Wed Feb 02 2005 Elliot Lee <sopwith@redhat.com> 2.0.6-1
- Rebuild with python 2.4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Nov 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.0.5
- recompile with python 2.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.0.3-7
- lib64'ize

* Tue Aug 06 2002 Elliot Lee <sopwith@redhat.com> 2.0.3-6
- Provide mx2 dep

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.0.3-4
- Make it require python >= 2.2, < 2.3

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.0.3-2
- Move to python 2.2

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.0.3-1
- 2.0.3

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.0.2-5
- Rebuild (and no, it wasn't broken. It just used /usr/bin/python
  as the version to build for)

* Mon Jan 21 2002 Elliot Lee <sopwith@redhat.com> 2.0.2-4
- Remove pyver autodetection (it's broken!) and install header files

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Oct  1 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.0.2-2
- detect python version when building
- 64bit fix mxDateTime

* Fri Sep 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.0.2-1
- 2.0.2
- Build for Python 2.2

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build. Needed for python DB API


